# compas_cadwork

[![Github Actions Build Status](https://github.com/gramaziokohler/compas_cadwork/workflows/build/badge.svg)](https://github.com/gramaziokohler/compas_cadwork/actions)
[![License](https://img.shields.io/github/license/gramaziokohler/compas_cadwork.svg)](https://pypi.python.org/pypi/compas_cadwork)
[![pip downloads](https://img.shields.io/pypi/dm/compas_cadwork)](https://pypi.python.org/project/compas_cadwork)
[![PyPI Package latest release](https://img.shields.io/pypi/v/compas_cadwork.svg)](https://pypi.python.org/pypi/compas_cadwork)
[![Supported implementations](https://img.shields.io/pypi/implementation/compas_cadwork.svg)](https://pypi.python.org/pypi/compas_cadwork)
[![Twitter Follow](https://img.shields.io/twitter/follow/compas_dev?style=social)](https://twitter.com/compas_dev)

![COMPAS Cadwork](https://raw.githubusercontent.com/gramaziokohler/compas_cadwork/refs/heads/main/compas_cadwork.JPG)

COMPAS cadwork is an open-source Python package which allows you to harness the power of the COMPAS framework inside cadwork 3d.
Make use of COMPAS' extensive geometry kernel, data structures, and algorithms to create, manipulate, and analyze your 3d models in cadwork.
Gain access to the COMPAS ecosystem which includes a wide range of tools and libraries engineered for the AEC industry.

## Installation

> For the different installation options please see the [installation guide](https://gramaziokohler.github.io/compas_cadwork/latest/installation.html).

To install `compas_cadwork` directly to cadwork 3d, run:

```bash
pip install compas_cadwork --target "C:\Program Files\cadwork.dir\EXE_30\Pclib.x64\python310\site-packages" --upgrade
```

## First Steps

* [Documentation](https://gramaziokohler.github.io/compas_cadwork/)
* [COMPAS CADWORK API Reference](https://gramaziokohler.github.io/compas_cadwork/latest/api.html)

## Questions and feedback

We encourage the use of the [COMPAS framework forum](https://forum.compas-framework.org/)
for questions and discussions.

## Issue tracker

If you found an issue or have a suggestion for a dandy new feature, please file a new issue in our [issue tracker](https://github.com/gramaziokohler/compas_cadwork/issues).

## Contributing

We love contributions!

Check the [Contributor's Guide](https://compas.dev/compas/latest/devguide/)
for more details.

## Credits

`compas_cadwork` is currently developed by [Gramazio Kohler Research](https://gramaziokohler.arch.ethz.ch/). 
